<!DOCTYPE html>
<html lang="en">

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Apply-Leaves</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/css/bootstrap.min.css">
    <link rel='stylesheet' href='http://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.3.0/css/font-awesome.min.css'>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jquery-modal/0.9.1/jquery.modal.min.css" />
    <link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet" />
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.1/css/all.css"
        integrity="sha384-50oBUHEmvpQ+1lW4y57PTFmhCaXp0ML5d60M1M7uH2+nqUivzIebhndOJK28anvf" crossorigin="anonymous">
    <link rel="stylesheet" href="../dist/css/main.css" type="text/css" />
</head>

<body>
    <div class="sidenav leftSidebar expandedNav">
        <!-- for leftSidebar sidebar.js -->
    </div>
    <nav class="navbar-header">
        <!-- for topnavigation bar topbar.js -->
    </nav>
    <!-- leftSidebar -->
    <div class="col-md-12 col-sm-12 col-xs-12 no-padding">
        <div class="headerTop">


            <div class="tabsContainer">
                <h2 class="mainHeading">Leaves</h2>

                <ul class="tabs mb-0">
                    <li>
                        <a href="#">My Leaves</a>
                    </li>
                    <li>
                        <a href="#">REVIEW & APPROVALS</a>
                    </li>
                </ul>

                <div class="toggleSideBar">
                    <ul>
                        <li>
                            <a href="#" class="togglePopup" id="toggleRightSidebar">
                                <svg width="17" height="17" viewBox="0 0 17 17" fill="none" xmlns="http://www.w3.org/2000/svg">
                                    <path fill-rule="evenodd" clip-rule="evenodd" d="M7.92917 4.4625V4.9625H8.42917H11.8917V10.2H12.8917V4.9625V4.4625L12.3917 3.9625L10.4125 1.98333L8.92917 0.5L8.42917 0H7.92917H6.44583H2C0.89543 0 0 0.89543 0 2V13.8667C0 14.9712 0.895431 15.8667 2 15.8667H3.4V14.8667H2C1.44772 14.8667 1 14.419 1 13.8667V2C1 1.44772 1.44772 1 2 1H6.44583H7.92917V4.4625ZM9.70539 2.69044L8.92917 1.91421V3.9625H10.9775L9.70539 2.69044Z" fill="#869094"/>
                                    <rect x="6.7998" y="6.80005" width="1.13333" height="3.4" fill="#869094"/>
                                    <rect x="3.40039" y="4.53345" width="1.13333" height="5.66667" fill="#869094"/>
                                    <path d="M10.3067 14.1666C10.314 14.4872 10.0809 14.7437 9.78953 14.7357C9.50547 14.7357 9.27239 14.4792 9.27239 14.1666C9.27239 12.6036 10.4268 11.3333 11.8472 11.3333L14.4256 11.3333C15.8459 11.3333 17.0003 12.6036 17.0003 14.1666C17.0003 15.7295 15.8459 16.9999 14.4256 16.9999H13.3403C13.6426 16.6753 13.8939 16.2946 14.0759 15.8698L14.4219 15.8658C15.2777 15.8698 15.9697 15.1084 15.966 14.1666C15.9697 13.2248 15.2777 12.4634 14.4219 12.4674H11.8508C10.995 12.4634 10.303 13.2248 10.3067 14.1666ZM12.8778 13.5975C13.1618 13.5975 13.3949 13.854 13.3949 14.1666C13.3949 15.7295 12.2405 16.9999 10.8202 16.9999H8.24176C6.82145 16.9999 5.66699 15.7295 5.66699 14.1666C5.66699 12.6036 6.82145 11.3333 8.24176 11.3333L9.32702 11.3333C9.02475 11.6579 8.77346 12.0386 8.58773 12.4674H8.2454C7.38957 12.4634 6.69763 13.2248 6.70127 14.1666C6.69763 15.1084 7.38957 15.8698 8.2454 15.8658H10.8165C11.6723 15.8698 12.3643 15.1084 12.3607 14.1666C12.3534 13.846 12.5864 13.5895 12.8778 13.5975Z" fill="#869094"/>
                                    </svg> Reports &
                                Links
                                <img class="angle pr-0" src="../dist/images/angledown.png" alt="user">
                            </a>
                            <div class="popup" id="toggledivSidebar">
                                <div class="rightSidebar">
                                    <div class="reportsLinks mt-2">
                                        <h3 class="reports">Reports</h3>
                                        <p class="PDFfile">
                                            <a href="#"><img src="../dist/images/doc_pdf.png" alt="pdf">
                                                My Leaves</a>
                                        </p>
                                        <p class="PDFfile">
                                            <a href="#"><img src="../dist/images/doc_pdf.png" alt="pdf">
                                                Team Leaves</a>
                                        </p>
                                    </div>
                                    <div class="relatedLinks mt-4">
                                        <h3>Related Links</h3>
                                        <p class="PDFfile">
                                            <a href="#"><img src="../dist/images/pdf.png" alt="pdf">
                                                View Policy</a>
                                        </p>
                                        <p class="PDFfile">
                                            <a href="#"><img src="../dist/images/green_doc.png" alt="pdf">
                                                View All Leaves</a>
                                        </p>
                                    </div>

                                </div>
                            </div>
                        </li>
                    </ul>

                </div>
            </div>
        </div>
        <div class="main rightContentArea">

            <div class="tab">
                <!-- / tabs -->
                <div class="tab_content">
                    <div class="tabs_item innerContent" id="leaveForm">
                        <form name="leaveFrm" method="post" autocomplete="off">
                            <div class="row ml-0 mr-0">
                                <div class="tableShorting">
                                    <div class="sectionHeadingContainer">
                                        <div class="sectionHeading">
                                            <a href="#">
                                                <div data-toggle="tooltip" title="Back" data-placement="top"
                                                    class="backButton d-flex align-items-center">
                                                    <svg style="width:20px;height:20px;" viewBox="0 0 24 24">
                                                        <path fill="#000000"
                                                            d="M20,11V13H8L13.5,18.5L12.08,19.92L4.16,12L12.08,4.08L13.5,5.5L8,11H20Z">
                                                        </path>
                                                    </svg>
                                                </div>
                                            </a><span class="pipe"></span>
                                            <h3>Request Leaves</h3>
                                        </div>
                                    </div>
                                    <div class="leaveSummary">
                                        <div class="summaryLeave">
                                            <h4>Leave<br> Summary</h4>

                                        </div>
                                        <div class="summaryLeaveTable">
                                            <table>

                                                <tbody>
                                                    <tr>
                                                        <td>Leave Type</td>
                                                        <td>Casual</td>
                                                        <td>Sick</td>
                                                        <td>Paternity</td>
                                                        <td>Casual</td>
                                                        <td>Sample</td>
                                                        <td>Sample</td>
                                                        <td>Sample</td>
                                                        <td>Sample</td>

                                                    </tr>
                                                    <tr>
                                                        <td>Balance</td>
                                                        <td>13.0</td>
                                                        <td>8.0</td>
                                                        <td>13.0</td>
                                                        <td>3.0</td>
                                                        <td>1.0</td>
                                                        <td>5.0</td>
                                                        <td>7.0</td>
                                                        <td>1.0</td>

                                                    </tr>

                                                </tbody>
                                            </table>
                                        </div>

                                    </div>
                                    <div class="content mb-4">

                                        <div class="fields mr-4 mb-4">
                                            <label class="labelGroup">Leave Type <span
                                                    class="mandatorySign">*</span></label>
                                            <select class="mandatory" name="leaveType" id="leaveType">
                                                <option value="" selected="selected" hidden="hidden">Select
                                                    leave type</option>
                                                <option value="Half Day">Earned Leave</option>
                                                <option value="Full Day">Casual Leave</option>
                                                <option value="Full Day">Sick Leave</option>
                                                <option value="Full Day">Optional Holiday</option>
                                                <option value="Full Day">Paternity Leave</option>
                                            </select>
                                        </div>

                                        <div class="row no-padding">
                                            <div class="calenderSection">
                                                <div class="fields mb-4 inputBoxIcon">
                                                    <label class="labelGroup">From Date <span
                                                            class="mandatorySign">*</span>
                                                    </label>

                                                    <input class="mandatory" type="text" id="fromDate" name="fromDate"
                                                        placeholder="dd/mm/yyyy" />
                                                    <span class="inputIcon">
                                                        <i class="far fa-calendar-alt cal1"></i>
                                                    </span>

                                                </div>
                                            </div>
                                            <div class="durationSection">
                                                <div class="fields mb-4 pt-1">

                                                    <select name="fromType" id="fromType">
                                                        <option value="Full Day">Full Day</option>
                                                        <option value="1st half">1st Half</option>
                                                        <option value="2nd half">2nd Half</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="calenderSection">
                                                <div class="fields mb-4 inputBoxIcon">
                                                    <label class="labelGroup">To Date <span
                                                            class="mandatorySign">*</span></label>
                                                    <input class="mandatory" type="text" id="toDate" name="toDate"
                                                        placeholder="dd/mm/yyyy" />
                                                    <span class="inputIcon">
                                                        <i class="far fa-calendar-alt cal2"></i>
                                                    </span>

                                                </div>
                                            </div>
                                            <div class="durationSection">
                                                <div class="fields mr-1 mb-2 pt-1">

                                                    <select name="toType" id="toType">
                                                        <option value="Full Day">Full Day</option>
                                                        <option value="1st half">1st Half</option>
                                                        <option value="2nd half">2nd Half</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="durationSection ml-0">
                                                <div class="fields mb-4">
                                                    <label for="noOfdays">No. of Days</label>
                                                    <input style="width: 108px;" disabled type="text" readonly name="days" id="days"
                                                        placeholder="">
                                                </div>
                                            </div>
                                        </div>

                                        <div class="row no-padding">
                                            <div class="fields mr-4 mb-4">
                                                <label for="contactAddress">Contact Address</label>
                                                <input type="text" id="contactAddress" name="contactAddress"
                                                    placeholder="Enter your contact address" />
                                            </div>
                                            <div class="fields mr-4 mb-4">
                                                <label class="labelGroup">Emergency Contact <span
                                                        class="mandatorySign">*</span></label>
                                                <input class="mandatory mobile" type="text" id="emergencyContact"
                                                    name="emergencyContact" placeholder="Enter your emergency contact"
                                                    maxlength="10" />
                                            </div>

                                            <div class="fields mr-4 mb-4 inputBoxIcon">
                                                    <label class="labelGroup">Reliever <span
                                                            class="mandatorySign">*</span></label>
                                                   
                                                        <input type="text" id="empSearch" name="empSearch"
                                                            placeholder="Select the employees" />
                                                    <span class="selectEmp"><svg width="22" height="24" viewBox="0 0 22 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                                                        <rect x="0.692104" width="11.7354" height="11.7354" rx="5.8677" transform="matrix(0.692104 -0.721798 0.692104 0.721798 0.213096 10.4996)" stroke="#BCBDBE"></rect>
                                                        <rect width="0.979646" height="6.85752" transform="matrix(0.692104 -0.721798 0.692104 0.721798 12.2041 14.2426)" fill="#BCBDBE"></rect>
                                                        </svg></span>
    
                                                </div>
                                        </div>
                                        <div class="fields mb-4">
                                            <label class="labelGroup">Reason <span
                                                    class="mandatorySign">*</span></label>
                                            <textarea class="mandatory" cols="30" rows="10"
                                                placeholder="State the reason for the leave request" id="leaveReason"
                                                name="leaveReason"></textarea>

                                        </div>
                                        <div>
                                            <button class="oct-btn oct-btn-primary" type="button" value="Request Leave"
                                                onclick="formValidations('leaveForm');">Request Leave</button>
                                            <button class="clearButton" type="reset" value="Clear" lass="oct-btn-link"
                                                onclick="clearForm('leaveForm');">Clear</button>
                                        </div>

                                    </div>
                                </div>
                                <div class="tabs_item innerContent">
                                </div>
                            </div>
                        </form>
                    </div>
                </div>

            </div>
        </div>


       <script src="https://code.jquery.com/jquery-3.3.1.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
        <script src="../dist/js/sidebar.js"></script>
        <script src="../dist/js/topbar.js"></script>
        <script src="../dist/js/octane.js"></script>
        <script src="../dist/js/leaves.js"></script>
        <script>
            // A $( document ).ready() block.
            $(document).ready(function () {

                /*Start leave request form validations*/
                $("#fromType").change(function () {
                    calculateDays();
                });

                $("#toType").change(function () {
                    calculateDays();
                });

                $(".cal1").click(function () {

                    $('#fromDate').datepicker("show");

                });

                $(".cal2").click(function () {

                    $('#toDate').datepicker("show");

                });

                $("#fromDate").datepicker({
                    dateFormat: 'dd/mm/yy',
					 changeYear: true,
                    onSelect: function () {
                        if ($("#fromDate").val() != '') {
                            $("#fromDate").removeClass('error');
                            $("#fromDate-error").empty();
                        }
                        calculateDays();
                    }
                });

                $("#toDate").datepicker({
                    dateFormat: 'dd/mm/yy',
					 changeYear: true,
                    onSelect: function () {
                        if ($("#toDate").val() != '') {
                            $("#toDate").removeClass('error');
                            $('#toDate-error').empty();
                        }
                        calculateDays();
                    }
                });


                $("#fromDate").change(function () {
                    if ($("#fromDate").val() != '') {
                        $("#fromDate").removeClass('error');
                        $('#fromDate-error').empty();
                    }

                });
                $("#toDate").change(function () {

                    if ($("#toDate").val() != '') {
                        $("#toDate").removeClass('error');
                        $('#toDate-error').empty();
                    }

                });


            });

            //Calculate Days When start and end date selected
            function calculateDays() {
                var start = $("#fromDate").datepicker("getDate");
                var end = $("#toDate").datepicker("getDate");
                days = (end - start) / (1000 * 60 * 60 * 24);
                var daysDiff = Math.round(days);
                var fromType = $("#fromType").val();
                var toType = $("#toType").val();

                if ((fromType == '1st half' || fromType == '2nd half') && toType == 'Full Day') {
                    daysDiff = daysDiff + 0.5;

                } else if ((toType == '1st half' || toType == '2nd half') && fromType == 'Full Day') {
                    daysDiff = daysDiff + 0.5;

                } else if (fromType == 'Full Day' && toType == 'Full Day') {
                    daysDiff = daysDiff + 1;

                } else if ((fromType == '2nd half' && toType == '2nd half') || (fromType == '1st half' && toType ==
                        '2nd half') || (fromType == '2nd half' && toType == '1st half') || (fromType == '1st half' &&
                        toType == '1st half')) {
                    daysDiff = daysDiff;

                }
                if (start > end && end != null) {
					$("#todate-error").remove();
					
                    $("#toDate").after(
                        '<label id="todate-error" class="error">To date should be greater than from date.</label>');
                    $("#toDate").focus();
                } else {
                    $("#todate-error").html('');
                }
                if (isNormalInteger(daysDiff) && end != null && start != null) {
                    $('#days').val(daysDiff);
                } else {
                    $('#days').val('');
                }
            } //End Function



            //Check Numberic and positive value
            function isNormalInteger(str) {
                return /^\d+(\.\d{1,2})?$/.test(str);
            } //End function
        </script>
</body>

</html>